#include <rgb_lcd.h>
#include <Keypad.h>

/*
Con este código comprobamos que al ajustar las teclas 1, 2, 3, A
se enciendan los leds respectivos
*/

/******* KEYPAD *********/ 
const byte ROWS = 4; //four rows
const byte COLS = 4; //four columns

//matriz de mapeo del teclado
char keys[ROWS][COLS] = {
  {'1','2','3','4'},
  {'A','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};

//conexión de filas y columnas del keypad al Arduino
byte rowPins[ROWS] = {13, 12, 11, 10}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {8, 7, 6, 5}; //connect to the column pinouts of the keypad

// creación del objeto teclado
Keypad teclado = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

/****** PANTALLA LCD *******/
rgb_lcd pantalla;

int leds[5] = {0, 2, 4, 15, 16}; //pines a los que están conectados los leds (el primer no cuenta)

int tiempoSecuencia = 1000;
void setup() {
  Serial.begin(9600);
  for (int i=1; i<5; i++){
    pinMode(leds[i], OUTPUT);
  }

}

void loop() {
  char tecla = teclado.getKey();
  if (tecla) Serial.println(tecla);

  if (tecla && (tecla == '1' || tecla == '2' || tecla == '3' || tecla == '4')){
      String numeros="";
      numeros += tecla;
      int digito = numeros.toInt();
      digitalWrite(leds[digito], HIGH);
      delay(tiempoSecuencia);
      digitalWrite(leds[digito], LOW);
  }

}
